package com.qmth.jkserver;

import java.io.File;
import java.io.IOException;

import net.lingala.zip4j.core.ZipFile;
import net.lingala.zip4j.exception.ZipException;

/**
 * Created by xf on 2018/10/22.
 */
public class TestReadZip {
    public static void main(String[] args) throws ZipException {
//        String path = "D:\\启明泰和\\测试文件导入存放目录\\import\\elsp\\teacher\\2018-10-22\\test.zip";
        //无.mp3
//        String path = "D:\\启明泰和\\测试文件导入存放目录\\import\\elsp\\teacher\\2018-10-22\\da7f1066-381d-45b6-8dbd-bd96982501ee\\9ecf2ce9-f36c-458e-917e-06b00d9f145d.zip";
        //有.mp3
//        String path = "E:\\TEMP\\9f529c89-746c-42d9-96dd-8d751360302c.zip";
//        String path = "E:\\TEMP\\a-f.zip";
//        String path = "E:\\TEMP\\232_武汉测试试卷4text.zip";
//        String path = "E:\\TEMP\\123_武汉测试试卷4text.zip";
//        File file = new File(path);
//            readZip(file);
//        	readZipByApache(file);
    	
    	System.out.println(Boolean.parseBoolean(null));
    }

    public static void readZipByZip4j(File file) throws IOException, ZipException {
        ZipFile zf = new ZipFile(file);
        boolean a = zf.isValidZipFile();
        zf.extractAll("E:\\TEMP\\123-0");
        System.out.println(a);
    }
    
   
}
